@mixin font_label {
  font-family: var(--font-first);
  color: var(--base-black);
  font-size: var(--font-s);
}

.radio-btn-group {
  display: flex;
  flex-direction: row;
  //justify-content: space-between;
  flex-wrap: wrap;

  .radio-btn {
    --radio-bg: #0071b5;
    display: flex;
    flex-direction: row;
    padding-right: 15px;
    align-items: center;

    input[type='radio'] {
      -webkit-appearance: none;
      width: 15px;
      height: 15px;
      border: 1px solid darkgray;
      border-radius: 50%;
      outline: none;
      box-shadow: none;
      margin: 0;
      margin-right: 10px;
      transition: border 0.2s ease-in;
      -moz-transition: border 0.2s ease-in;
      -webkit-transition: border 0.2s ease-in;
      cursor: pointer;
    }

    input[type='radio']:checked,
    input[type='radio']:hover {
      box-shadow: none;
      border: 1px solid var(--radio-bg);
    }

    input[type='radio']:before {
      content: '';
      display: block;
      width: 7px;
      height: 7px;
      margin: 25% auto;
      border-radius: 50%;
    }

    input[type='radio']:checked:before {
      background: var(--radio-bg);
    }

    span {
      @include font_label;
    }
  }
}
